Subject: bug#36983: 27.0.50; ansi-term gets disturbed with unicode characters 🐑

From: Jean Louis <[email-masked]>
Date: Fri, 9 Aug 2019 15:41:40 +0200

* Noam Postavsky <[email-masked]> [2019-08-09 15:10]:
> Jean Louis <[email-masked]> writes:
> 
> > * Noam Postavsky <[email-masked]> [2019-08-09 14:09]:
> >> Jean Louis <[email-masked]> writes:
> >> 
> >> > This screen recording may show what is happening:
> >> > https://gnu.support/files/tmp/2019-08-09-11:23:11.ogv
> >> >
> >> > When there is unicode character, there can be error, it seems as it
> >> > will not refresh nicely.
> >> 
> >> Do you get the same problem if you call 'cat file' in ansi-term, where
> >> 'file' contains those characters?
> >
> > If I use elinks, lynx, mutt, and view any page with Unicode characters
> > I get the problem
> 
> Since you mentioned Turkish, I looked at
> https://tr.wikipedia.org/wiki/Anasayfa in lynx under ansi-term; it seems
> okay.  Could you please provide a specific example that doesn't require
> access to your email account?

There is one Unicode character, it is not Turkish, rather in Turkish
subject, there was some not visible Unicode character. It was not
visible in Emacs, as font did not support it. This could be reason.

I have put same character in the subject of this email, maybe you will
see it then.

Another example is using elinks in ansi-term with the page:
https://unicode-table.com/en/sets/arrows-symbols/

Jean